from django.contrib import admin
from django.contrib.auth.admin import UserAdmin,GroupAdmin
from django.contrib.auth.models import User, Group
from unfold.admin import ModelAdmin
from .models import Site, Page, Url, Variable
admin.site.unregister(Group)
admin.site.unregister(User)

@admin.register(User)
class UserAdmin(UserAdmin, ModelAdmin): pass

@admin.register(Group)
class GroupAdmin(GroupAdmin, ModelAdmin): pass

@admin.register(Site)
class SiteAdmin(ModelAdmin): pass

@admin.register(Page)
class PageAdmin(ModelAdmin): pass

@admin.register(Url)
class UrlAdmin(ModelAdmin): pass

@admin.register(Variable)
class VariableAdmin(ModelAdmin): pass
  